Skip to content

Get one type of the space's IMDF features

GET
/{resource}/imdf/{featureType}
curl --request GET \
--url https://example.com/v1/example/imdf/address \
--header 'Authorization: Bearer <token>'

The features of one type from the space’s IMDF export, as the archive’s file for that type would have them.

resource
required
string
/^\d+$/

The project ID of the space

featureType
required
string
Allowed values: address amenity anchor building detail fixture footprint geofence kiosk level occupant opening relationship section unit venue

The IMDF feature type

The features

Media typeapplication/geo+json

A GeoJSON FeatureCollection of IMDF features.

object
type
required
Allowed value: FeatureCollection
features
required
Array<object>

An IMDF feature: a GeoJSON Feature with a feature_type. Coordinates are WGS 84 longitude and latitude.

object
id
required

The feature’s id, a version 4 UUID.

string format: uuid
type
required
Allowed value: Feature
feature_type
required

The IMDF feature type, e.g. amenity.

string
geometry
required

A GeoJSON geometry, or null for features with none.

object | null
properties
required

The properties IMDF defines for the feature type.

object

Example

{
"type": "FeatureCollection",
"features": [
{
"type": "Feature"
}
]
}

The token is missing or invalid.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}

The token has no access to this space.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}

No item has this id.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}

An item with this id already exists or the space is being duplicated - or, for IMDF, the space has no georeference or floors (noGeoreference, noFloors) or is missing information IMDF requires (imdfIncomplete).

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}

Too many requests. Retry after Retry-After seconds.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}
Retry-After
integer

Seconds to wait before retrying

Something upstream failed.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}

The space is moving between servers. Retry after Retry-After seconds.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}
Retry-After
integer

Seconds to wait before retrying

Something upstream timed out.

Media typeapplication/json
object
error
required

A description of the error

string
code
required

A stable identifier for the kind of error

string
issues

For invalidBody: what failed validation, and where

Array<object>
object

Example generated

{
"error": "example",
"code": "example",
"issues": [
{}
]
}